| TagLib 1.13 |  |

Public Member Functions | Friends | List of all members
TagLib::ASF::Tag Class Reference

`#include <asftag.h>`

Inheritance diagram for TagLib::ASF::Tag:
[legend]
Collaboration diagram for TagLib::ASF::Tag:
[legend]

## Public Member Functions
| Tag ()
virtual | ~Tag ()
virtual String | title () const
virtual String | artist () const
virtual String | album () const
virtual String | comment () const
virtual String | genre () const
virtual String | rating () const
virtual String | copyright () const
virtual unsigned int | year () const
virtual unsigned int | track () const
virtual void | setTitle (const String &s)
virtual void | setArtist (const String &s)
virtual void | setAlbum (const String &s)
virtual void | setComment (const String &s)
virtual void | setRating (const String &s)
virtual void | setCopyright (const String &s)
virtual void | setGenre (const String &s)
virtual void | setYear (unsigned int i)
virtual void | setTrack (unsigned int i)
virtual bool | isEmpty () const
AttributeListMap & | attributeListMap ()
const AttributeListMap & | attributeListMap () const
bool | contains (const String &name) const
void | removeItem (const String &name)
AttributeList | attribute (const String &name) const
void | setAttribute (const String &name, const Attribute &attribute)
void | setAttribute (const String &name, const AttributeList &values)
void | addAttribute (const String &name, const Attribute &attribute)
PropertyMap | properties () const
void | removeUnsupportedProperties (const StringList &properties)
PropertyMap | setProperties (const PropertyMap &properties)
Public Member Functions inherited from TagLib::Tag
virtual | ~Tag ()
PropertyMap | properties () const
void | removeUnsupportedProperties (const StringList &properties)
PropertyMap | setProperties (const PropertyMap &properties)
virtual String | title () const =0
virtual String | artist () const =0
virtual String | album () const =0
virtual String | comment () const =0
virtual String | genre () const =0
virtual unsigned int | year () const =0
virtual unsigned int | track () const =0
virtual void | setTitle (const String &s)=0
virtual void | setArtist (const String &s)=0
virtual void | setAlbum (const String &s)=0
virtual void | setComment (const String &s)=0
virtual void | setGenre (const String &s)=0
virtual void | setYear (unsigned int i)=0
virtual void | setTrack (unsigned int i)=0
virtual bool | isEmpty () const

## Friends
class | File

## Additional Inherited Members
Static Public Member Functions inherited from TagLib::Tag
static void | duplicate (const Tag *source, Tag *target, bool overwrite=true)
Protected Member Functions inherited from TagLib::Tag
| Tag ()

## Constructor & Destructor Documentation

## ◆ Tag()

TagLib::ASF::Tag::Tag | ( |  | ) |

## ◆ ~Tag()

virtual TagLib::ASF::Tag::~Tag | ( |  | ) |
| virtual

Destroys this Tag instance.

Reimplemented from TagLib::Tag.

## Member Function Documentation

## ◆ addAttribute()

void TagLib::ASF::Tag::addAttribute | ( | const String & | name,
|  | const Attribute & | attribute
| ) |  |

Sets the key attribute to the value of attribute. If an attribute with the key is already present, it will be added to the list.

## ◆ album()

virtual String TagLib::ASF::Tag::album | ( |  | ) | const
| virtual

Returns the album name; if no album name is present in the tag String::null will be returned.

Implements TagLib::Tag.

## ◆ artist()

virtual String TagLib::ASF::Tag::artist | ( |  | ) | const
| virtual

Returns the artist name.

Implements TagLib::Tag.

## ◆ attribute()

AttributeList TagLib::ASF::Tag::attribute | ( | const String & | name | ) | const

Returns
  The list of values for the key name, or an empty list if no values have been set.

## ◆ attributeListMap() [1/2]

AttributeListMap & TagLib::ASF::Tag::attributeListMap | ( |  | ) |

Deprecated:
  Use attributeListMap() const, contains(), removeItem(), attribute(), setAttribute(), addAttribute().

## ◆ attributeListMap() [2/2]

const AttributeListMap & TagLib::ASF::Tag::attributeListMap | ( |  | ) | const

Returns a reference to the item list map. This is an AttributeListMap of all of the items in the tag.

## ◆ comment()

virtual String TagLib::ASF::Tag::comment | ( |  | ) | const
| virtual

Returns the track comment.

Implements TagLib::Tag.

## ◆ contains()

bool TagLib::ASF::Tag::contains | ( | const String & | name | ) | const

Returns
  True if a value for attribute is currently set.

## ◆ copyright()

virtual String TagLib::ASF::Tag::copyright | ( |  | ) | const
| virtual

Returns the genre name; if no genre is present in the tag String::null will be returned.

## ◆ genre()

virtual String TagLib::ASF::Tag::genre | ( |  | ) | const
| virtual

Returns the genre name; if no genre is present in the tag String::null will be returned.

Implements TagLib::Tag.

## ◆ isEmpty()

virtual bool TagLib::ASF::Tag::isEmpty | ( |  | ) | const
| virtual

Returns true if the tag does not contain any data. This should be reimplemented in subclasses that provide more than the basic tagging abilities in this class.

Reimplemented from TagLib::Tag.

## ◆ properties()

PropertyMap TagLib::ASF::Tag::properties | ( |  | ) | const

## ◆ rating()

virtual String TagLib::ASF::Tag::rating | ( |  | ) | const
| virtual

Returns the rating.

## ◆ removeItem()

void TagLib::ASF::Tag::removeItem | ( | const String & | name | ) |

Removes the key attribute from the tag

## ◆ removeUnsupportedProperties()

void TagLib::ASF::Tag::removeUnsupportedProperties | ( | const StringList & | properties | ) |

## ◆ setAlbum()

virtual void TagLib::ASF::Tag::setAlbum | ( | const String & | s | ) |
| virtual

Sets the album to s. If s is String::null then this value will be cleared.

Implements TagLib::Tag.

## ◆ setArtist()

virtual void TagLib::ASF::Tag::setArtist | ( | const String & | s | ) |
| virtual

Sets the artist to s.

Implements TagLib::Tag.

## ◆ setAttribute() [1/2]

void TagLib::ASF::Tag::setAttribute | ( | const String & | name,
|  | const Attribute & | attribute
| ) |  |

Sets the key attribute to the value of attribute. If an attribute with the key is already present, it will be replaced.

## ◆ setAttribute() [2/2]

void TagLib::ASF::Tag::setAttribute | ( | const String & | name,
|  | const AttributeList & | values
| ) |  |

Sets multiple values to the key name.

## ◆ setComment()

virtual void TagLib::ASF::Tag::setComment | ( | const String & | s | ) |
| virtual

Sets the comment to s.

Implements TagLib::Tag.

## ◆ setCopyright()

virtual void TagLib::ASF::Tag::setCopyright | ( | const String & | s | ) |
| virtual

Sets the copyright to s.

## ◆ setGenre()

virtual void TagLib::ASF::Tag::setGenre | ( | const String & | s | ) |
| virtual

Sets the genre to s.

Implements TagLib::Tag.

## ◆ setProperties()

PropertyMap TagLib::ASF::Tag::setProperties | ( | const PropertyMap & | properties | ) |

## ◆ setRating()

virtual void TagLib::ASF::Tag::setRating | ( | const String & | s | ) |
| virtual

Sets the rating to s.

## ◆ setTitle()

virtual void TagLib::ASF::Tag::setTitle | ( | const String & | s | ) |
| virtual

Sets the title to s.

Implements TagLib::Tag.

## ◆ setTrack()

virtual void TagLib::ASF::Tag::setTrack | ( | unsigned int | i | ) |
| virtual

Sets the track to i. If s is 0 then this value will be cleared.

Implements TagLib::Tag.

## ◆ setYear()

virtual void TagLib::ASF::Tag::setYear | ( | unsigned int | i | ) |
| virtual

Sets the year to i. If s is 0 then this value will be cleared.

Implements TagLib::Tag.

## ◆ title()

virtual String TagLib::ASF::Tag::title | ( |  | ) | const
| virtual

Returns the track name.

Implements TagLib::Tag.

## ◆ track()

virtual unsigned int TagLib::ASF::Tag::track | ( |  | ) | const
| virtual

Returns the track number; if there is no track number set, this will return 0.

Implements TagLib::Tag.

## ◆ year()

virtual unsigned int TagLib::ASF::Tag::year | ( |  | ) | const
| virtual

Returns the year; if there is no year set, this will return 0.

Implements TagLib::Tag.

## Friends And Related Function Documentation

## ◆ File

friend class File
| friend

The documentation for this class was generated from the following file:

- asftag.h